<?php

namespace app\commands;

use yii\console\Controller;
use yii\console\ExitCode;

use moonland\phpexcel\Excel;

use app\models\Supply;
use app\models\File;

class ImportController extends Controller
{
    /**
     * Импортировать города из ДеловыеЛинии
     */
    public function actionCities()
    {
        if (Dellin::importCities()) {
            return ExitCode::OK;
        }

        return ExitCode::UNSPECIFIED_ERROR;
    }

    /**
     * Импортировать терминалы из ДеловыеЛинии
     */
    public function actionTerminals()
    {
        if (Dellin::importTerminals()) {
            return ExitCode::OK;
        }

        return ExitCode::UNSPECIFIED_ERROR;
    }

    /**
     * Импортировать поставки из файлов
     */
    public function actionSupplies(int $amount = 3)
    {
        try {
            $files = File::searchSuppliesNeededToLoad($amount);

            if ($files > 0) {
                // Найдены файлы

                foreach ($files as $file) {
                    // Перебор файлов для загрузки

                    // Загрузка в базу данных
                    Supply::loadExcel($file);
                }
            }
        } catch (exception $e) {
            return ExitCode::UNSPECIFIED_ERROR;
        }

        return ExitCode::OK;
    }
}
